package com.bonus.canteen.core.bus.param;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
   value = "BusSiteParam",
   description = "站点信息查询参数"
)
public class BusSiteParam {
   @ApiModelProperty("分页对象")
   private PageDTO page;
   @ApiModelProperty("关键字（站点名称或编号）")
   private String keyword;

   public PageDTO getPage() {
      return this.page;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public BusSiteParam setPage(final PageDTO page) {
      this.page = page;
      return this;
   }

   public BusSiteParam setKeyword(final String keyword) {
      this.keyword = keyword;
      return this;
   }
}
